import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _INImage } from "./INImage.js";
import type { INPaymentMethodType } from "./INPaymentMethodType.js";
export declare class _INPaymentMethod extends _NSObject {
    static alloc(): _INPaymentMethod;
    static new(): _INPaymentMethod;
    init(): _INPaymentMethod;
    /**
     * This payment method represents Apple Pay. Its .type will be INPaymentMethodTypeApplePay. The .name, .identificationHint and .icon properties are not significant for this type of payment method.
     */
    static applePayPaymentMethod(): _INPaymentMethod;
    initWithType$name$identificationHint$icon$(type: INPaymentMethodType, name: _NSString | null, identificationHint: _NSString | null, icon: _INImage | null): _INPaymentMethod;
    type(): INPaymentMethodType;
    name(): _NSString | null;
    icon(): _INImage | null;
    identificationHint(): _NSString | null;
}
export interface _INPaymentMethod extends _NSCopying, _NSSecureCoding {
}
